<% if books.present? %>
  <% books.each do |book| %>
    <tr>
      <td><label class="ui <%= object_status_class(book) %> horizontal label"><%= object_status_name(book) %></label></td>
      <td>
        <h5 class="ui image header">

          <% if book.image.attached? %>
            <%= image_tag book.image, size: '50x50', class: 'ui huge rounded image' %>
          <% end %>

          <div class="content">
            <%= book.title.present? ? book.title.titleize : 'Sin titulo' %>
            <div class="sub header">
              <strong>Creado por: </strong> <%= book.created_by.full_name.titleize %><br>
              <strong>Autor principal: </strong> <%= book.main_author.present? ? book.main_author.full_name.titleize : 'Por asignar' %><br>
              <strong>Autor secundario: </strong> <%= book.secondary_author.present? ? book.secondary_author.full_name.titleize : 'No aplica' %><br>
              <strong>Ubicación: </strong> <%= book.book_shelf_name %><br>
            </div>
          </div>
        </h5>
      </td>
      <td>
        <%= render partial: 'admin/library/books/books/partials/table_actions', locals: { book: book }%>
      </td>
    </tr>
  <% end %>
<% else %>
  <tr>
    <td colspan="3"><h3>No hay registros</h3></td>
  </tr>
<% end %>
